Trouble trying to build Qt SGX on Overo

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Trouble trying to build Qt SGX on Overo

Tristan Lostroh
1300 Web Pro Image banner 4

I have been trying to build Qt SGX on Overo. I have set up Yocto and the build environment.

 

When I run the build script, I get the following messages:

WARNING: /home/tlostroh/yocto2/build/tmp/work/cortexa8hf-vfp-neon-poky-linux-gnueabi/lib

gles-omap3/5.01.01.02-r38.1/Graphics_SDK_5_01_01_02 ('S') doesn't exist, please set 'S' to a proper value

WARNING: TI installer requires 32bit glibc libraries for proper operation

run 'yum install glibc.i686' on Fedora or 'apt-get install ia32-libs' on Ubuntu/Debian

WARNING: QA Issue: qtwayland-examples requires libGLESv2.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: qtwayland requires libGLESv2.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: qttools-tools requires libGLESv2.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: qtmultimedia-plugins requires libEGL.so, libGLESv2.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: qtmultimedia requires libGLESv2.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: qt3d-qmlplugins requires libGLESv2.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: qt3d-tools requires libGLESv2.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: qt3d requires libGLESv2.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: qtdeclarative requires libGLESv2.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-blitwsegl-es3 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-blitwsegl-es5 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-blitwsegl-es6 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-blitwsegl-es8 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-blitwsegl-es9 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-flipwsegl-es3 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-flipwsegl-es5 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-flipwsegl-es6 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-flipwsegl-es8 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-flipwsegl-es9 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-frontwsegl-es3 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-frontwsegl-es5 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-frontwsegl-es6 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-frontwsegl-es8 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-frontwsegl-es9 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-linuxfbwsegl-es3 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-linuxfbwsegl-es5 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-linuxfbwsegl-es6 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-linuxfbwsegl-es8 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-linuxfbwsegl-es9 requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-blitwsegl requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-flipwsegl requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-frontwsegl requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-linuxfbwsegl requires libpvr2d.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-es3 rdepends on libx11, but it isn't a build dependency? [build-deps]

WARNING: QA Issue: libgles-omap3-es3 rdepends on libxext, but it isn't a build dependency? [build-deps]

WARNING: QA Issue: libgles-omap3-es3 rdepends on libxfixes, but it isn't a build dependency? [build-deps]

WARNING: QA Issue: libgles-omap3-es3 requires libEGL.so, libIMGegl.so, libews.so, libusc.so, libpvr2d.so, libsrv_init.so, libdrm.so.2, libGLES_CM.so, libGLESv2.so, libsrv_um.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-es5 rdepends on libx11, but it isn't a build dependency? [build-deps]

WARNING: QA Issue: libgles-omap3-es5 rdepends on libxext, but it isn't a build dependency? [build-deps]

WARNING: QA Issue: libgles-omap3-es5 rdepends on libxfixes, but it isn't a build dependency? [build-deps]

WARNING: QA Issue: libgles-omap3-es5 requires libEGL.so, libIMGegl.so, libusc.so, libpvr2d.so, libsrv_init.so, libdrm.so.2, libGLES_CM.so, libGLESv2.so, libsrv_um.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-es6 rdepends on libx11, but it isn't a build dependency? [build-deps]

WARNING: QA Issue: libgles-omap3-es6 rdepends on libxext, but it isn't a build dependency? [build-deps]

WARNING: QA Issue: libgles-omap3-es6 rdepends on libxfixes, but it isn't a build dependency? [build-deps]

WARNING: QA Issue: libgles-omap3-es6 requires libIMGegl.so, libusc.so, libpvr2d.so, libsrv_init.so, libdrm.so.2, libsrv_um.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-es8 rdepends on libx11, but it isn't a build dependency? [build-deps]

WARNING: QA Issue: libgles-omap3-es8 rdepends on libxext, but it isn't a build dependency? [build-deps]

WARNING: QA Issue: libgles-omap3-es8 rdepends on libxfixes, but it isn't a build dependency? [build-deps]

WARNING: QA Issue: libgles-omap3-es8 requires libIMGegl.so, libusc.so, libpvr2d.so, libsrv_init.so, libdrm.so.2, libsrv_um.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-es9 rdepends on libx11, but it isn't a build dependency? [build-deps]

WARNING: QA Issue: libgles-omap3-es9 rdepends on libxext, but it isn't a build dependency? [build-deps]

WARNING: QA Issue: libgles-omap3-es9 rdepends on libxfixes, but it isn't a build dependency? [build-deps]

WARNING: QA Issue: libgles-omap3-es9 requires libIMGegl.so, libusc.so, libpvr2d.so, libsrv_init.so, libdrm.so.2, libsrv_um.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-rawdemos requires libEGL.so, libGLESv2.so, libGLES_CM.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: libgles-omap3-tests requires libEGL.so, libsrv_um.so, libGLESv2.so, libpvr2d.so, libGLES_CM.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: qtbase-plugins requires libEGL.so, libGLESv2.so, but no providers in its RDEPENDS [file-rdeps]

WARNING: QA Issue: qtbase requires libGLESv2.so, but no providers in its RDEPENDS [file-rdeps]

ERROR: Unable to install packages. Command '/home/tlostroh/yocto2/build/tmp/sysroots/i686-linux/usr/bin/smart --quiet --data-dir=/home/tlostroh/yocto2/build/tmp/work/overo-poky-linux-gnueabi/gumstix-qt5-dev-image/1.0-r0/rootfs/var/lib/smart install -y alsa-utils@cortexa8hf_vfp_neon psplash@cortexa8hf_vfp_neon mtdev@cortexa8hf_vfp_neon tar@cortexa8hf_vfp_neon less@cortexa8hf_vfp_neon iputils@cortexa8hf_vfp_neon mtd-utils-ubifs@cortexa8hf_vfp_neon sudo@cortexa8hf_vfp_neon uim@cortexa8hf_vfp_neon raw2rgbpnm@cortexa8hf_vfp_neon vim@cortexa8hf_vfp_neon qtbase-dev@cortexa8hf_vfp_neon media-ctl@cortexa8hf_vfp_neon linux-firmware-wl18xx@all findutils@cortexa8hf_vfp_neon wget@cortexa8hf_vfp_neon curl@cortexa8hf_vfp_neon rpm@cortexa8hf_vfp_neon qtbase-mkspecs@cortexa8hf_vfp_neon cpufrequtils@cortexa8hf_vfp_neon packagegroup-cli-tools@all v4l-utils@cortexa8hf_vfp_neon packagegroup-qt5-qtcreator-debug@all nano@cortexa8hf_vfp_neon smartpm@cortexa8hf_vfp_neon linux-firmware-sd8686@all tzdata@all coreutils@cortexa8hf_vfp_neon libgles-omap3-rawdemos@cortexa8hf_vfp_neon ntp@cortexa8hf_vfp_neon libgles-omap3@cortexa8hf_vfp_neon systemd-analyze@cortexa8hf_vfp_neon packagegroup-core-boot@overo memtester@cortexa8hf_vfp_neon yavta@cortexa8hf_vfp_neon libts-1.0-0@cortexa8hf_vfp_neon packagegroup-core-ssh-openssh@all packagegroup-core-sdk@overo packagegroup-cli-tools-debug@all iproute2@cortexa8hf_vfp_neon linux-firmware-sd8787@all gpsd@cortexa8hf_vfp_neon iw@cortexa8hf_vfp_neon qtbase-plugins@cortexa8hf_vfp_neon shadow@cortexa8hf_vfp_neon packagegroup-base-extended@overo grep@cortexa8hf_vfp_neon zip@cortexa8hf_vfp_neon omap3-sgx-modules@overo hostapd@cortexa8hf_vfp_neon diffutils@cortexa8hf_vfp_neon packagegroup-core-tools-debug@all qt5everywheredemo@cortexa8hf_vfp_neon packagegroup-qt5-toolchain-target@all qt5-demo-extrafiles@all dnsmasq@cortexa8hf_vfp_neon qtbase@cortexa8hf_vfp_neon gzip@cortexa8hf_vfp_neon packagegroup-core-standalone-sdk-target@all u-boot-mkimage@cortexa8hf_vfp_neon base-passwd@cortexa8hf_vfp_neon qtbase-tools@cortexa8hf_vfp_neon locale-base-en-us@cortexa8hf_vfp_neon' returned 1:

error: Can't install libgles-omap3-es5-5.01.01.02-r38.1.0@cortexa8hf_vfp_neon: no package provides libdrm.so.2

 

 

ERROR: Function failed: do_rootfs

ERROR: Logfile of failure stored in: /home/tlostroh/yocto2/build/tmp/work/overo-poky-linux-gnueabi/gumstix-qt5-dev-image/1.0-r0/temp/log.do_rootfs.9935

ERROR: Task 7 (/home/tlostroh/yocto2/poky/meta-gumstix-extras/recipes-images/gumstix/gumstix-qt5-dev-image.bb, do_rootfs) failed with exit code '1'

 

I am assuming that it is related to the first warning and that I need to set (ā€˜Sā€™) somewhere.

Kindest Regards,

Tristan Lostroh
Software Engineer
1300 Web Pro

www.1300webpro.com.au
1300 Web Pro - Websites that mean business
Phone: 1300 932 776  |  Local: 4638 8488  |  Email: [hidden email]
Unit 22, 489 South Street (PO Box 2773), Toowoomba QLD 4350
Facebook LinkedIn

This e-mail and any files sent with it may contain confidential information intended only for disclosure to the person(s) to whom this e-mail is addressed. Any other distribution, copying or disclosure is prohibited. If you have received this e-mail in error, please notify us immediately by telephone or return e-mail, destroy any copies of the e-mail you have printed and delete the e-mail from your computer.

E-mail transmissions cannot be guaranteed to be secure or error-free. Information can be intercepted, corrupted, lost, destroyed, incomplete, and/or may arrive late or contain viruses. We will not accept responsibility or liability for any errors, omissions or distribution of privileged information in the contents of this e-mail or in any messages that you send us by e-mail. If you do not wish to receive confidential information from us by e-mail, please advise us immediately so that alternative methods of communication are used.





------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
gumstix-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gumstix-users
Loading...